> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/basketball/basic-info/data-update.md).

# Data update

## Data update

> Returns the data changed in the last 120 seconds, which can be updated on the corresponding interface, and needs to be synchronized regularly\<br/>\<br/>Recommended request frequency: 20 seconds/time

```json
{"openapi":"3.0.1","info":{"title":"Basketball API","version":"1.0.251028"},"tags":[{"name":"BASIC INFO","description":"BASIC INFO"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/basketball/data/update":{"get":{"tags":["BASIC INFO"],"description":"Returns the data changed in the last 120 seconds, which can be updated on the corresponding interface, and needs to be synchronized regularly<br/><br/>Recommended request frequency: 20 seconds/time","summary":"Data update","operationId":"getDataMoreUpdate","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/DataMoreUpdate"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"DataMoreUpdate":{"type":"object","properties":{"type id":{"type":"array","description":"Data type id, see Status Code->Data Update Type ID for details","items":{"$ref":"#/components/schemas/DataMoreUpdateList"}}}},"DataMoreUpdateList":{"type":"object","properties":{"season_id":{"type":"string","description":"Season id(bracket, season standing, season team statistics, season player statistics field exists)"},"pub_time":{"type":"integer","description":"Ranking release time(fiba men, fiba women field exists)"},"update_time":{"type":"integer","description":"update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/basketball/basic-info/data-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
